#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TS.ITS sources\n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules --single-branch --branch ttf_t024 https://forge.etsi.org/rep/ITS/TS.ITS.git TS.ITS || exit 1
cd ./TS.ITS || exit 1
for i in `find ./ttcn -type d -name "Ats*"`
do
    cd $i
    git checkout devel2
    cd -
done
for i in `find ./ttcn/Ats* -type d -name "asn1"`
do
    cd $i
    git checkout testing2
#    if [ -f ETSI-ITS-CDD.asn ]
#    then
#        ln -sf ETSI-ITS-CDD.asn ETSI_ITS_CDD.asn || exit 1
#    elif [ -f IVIM-PDU-Descriptions.asn ]
#    then
#        ln -sf IVIM-PDU-Descriptions.asn IVIM_PDU_Descriptions.asn || exit 1
#        ln -sf MAPEM-PDU-Descriptions.asn MAPEM_PDU_Descriptions.asn || exit 1
#        ln -sf RTCMEM-PDU-Descriptions.asn RTCMEM_PDU_Descriptions.asn || exit 1
#        ln -sf SPATEM-PDU-Descriptions.asn SPATEM_PDU_Descriptions.asn || exit 1
#        ln -sf SREM-PDU-Descriptions.asn SREM_PDU_Descriptions.asn || exit 1
#        ln -sf SSEM-PDU-Descriptions.asn SSEM_PDU_Descriptions.asn || exit 1
#        ln -sf iso-patched/'ISO14906(2018)EfcDsrcApplicationv6-patched.asn' iso-patched/EfcDsrcApplication.asn || exit 1
#        ln -sf iso-patched/'ISO14906(2018)EfcDsrcGenericv7-patched.asn' iso-patched/EfcDsrcGeneric.asn || exit 1
#        ln -sf iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn iso-patched/ElectronicRegistrationIdentificationVehicleDataModule.asn || exit 1
#        ln -sf iso-patched/ISO14823-missing.asn iso-patched/GDD.asn || exit 1
#    fi
    SUB_DIRS=`find . -type d`
    if [ "SUB_DIRS" != "" ]
    then
        for j in $SUB_DIRS
        do
            cd $j
            git checkout testing2
            cd -
        done
    fi
    cd -
done
cd ${HOME}/dev/TS.ITS/titan-test-system-framework
git checkout devel
cd ./ttcn/LibHttp
ln -sf module_its.mk module.mk
cd ${HOME}/dev/TS.ITS/ttcn/LibIts
git checkout devel2

cd ${HOME}/dev/TS.ITS/
cp ./ttcn/patch_lib_common/module.mk ./ttcn/LibCommon/
cp ./ttcn/patch_lib_common/ttcn/* ./ttcn/LibCommon/ttcn

echo -e "*****************************\n* Setup environment\n*****************************\n"
cd ${HOME}/dev/TS.ITS/scripts
chmod 775 *.bash devenv.bash.*
cd ${HOME}
ln -sf ${HOME}/dev/TS.ITS/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash
ls -ltr ${HOME}

cd ${HOME}

exit 0
